// 2022 Blog Refresh

$color-surface-300: #D1D0D3 !default;
$refresh-black: #171321;
$refresh-purple: #7759c2;
$refresh-gray-bg: linear-gradient(180deg, #d1d0d3 0 70%, #fff 70% 100%);
$refresh-light-gray-bg: #f2f1f5;

$shadow-surface-primary-1: $color-surface-300 0px 8px 50px -24px;
$shadow-surface-primary-2: $color-surface-300 0px 16px 50px -24px;
$shadow-surface-primary-3: $color-surface-300 0px 24px 50px -24px;
$shadow-surface-primary-4: $color-surface-300 0px 32px 50px -24px;

$shadow-surface-secondary-1: $color-surface-300 0px 8px 50px -24px;
$shadow-surface-secondary-2: $color-surface-300 0px 16px 50px -24px;
$shadow-surface-secondary-3: $color-surface-300 0px 24px 50px -24px;
$shadow-surface-secondary-4: $color-surface-300 0px 32px 50px -24px;

// Make sure this gets into the specific refresh sheet.
body {
  background-color: #fff !important;
}

#blog-landing,
#blog-post {
  // Update fonts to Inter
  font-family: "Inter", sans-serif !important;

  // Update the sidebar background and type colors
  .blog-landing-sidebar {
    background: $refresh-light-gray-bg;
    * {
      color: $refresh-black;
    }

    // Sentence case signup form header
    .blog-sidebar-module.blog-sidebar-module-subscribe h3 {
      font-size: 23px;
      line-height: 32px;
      text-transform: unset;
    }

    // Update marketo button to new primary button color
    .mktoButtonRow .mktoButtonWrap button {
      background: $refresh-black;
      color: #fff;
    }
    
    #mktoForm_1077 > div.mktoButtonRow > span > button {
      width: 100%;
    }

    input[type="checkbox"] {
      display: grid;
      width: 18px;
      height: 18px;
      line-height: 18px;
      text-align: center;
      cursor: pointer;
      border: 0;
      appearance: none;
      -webkit-appearance: none;
    }

    input[type="checkbox"]::after {
      grid-area: 1/1;
      pointer-events: none;
    }

    input[type="checkbox"]:checked::after {
      content: "✓";
      background-color: $refresh-purple;
      color: #fff;
    }

    #Email:focus {
      border: 1px solid $refresh-purple !important;
    }

    // Make links new purple, give them hover/active/focus states.
    a {
      color: $refresh-purple;
      &:hover,
      &:active,
      &:focus {
        text-decoration: underline;
      }
    }

    // Add new label with heading styles to search input
    .blog-search-heading {
      display: block;
      font-size: 23px;
      font-weight: 600;
      line-height: 32px;
      margin: 0px 30px 16px 30px;
    }

    //Apply heading typography: 
    .heading-type {
      font-size: 23px;
      font-weight: 600;
      line-height: 32px;
      text-transform: unset;
    }

    // Update focus state on inputs in the sidebar
    #search-blog:focus {
      border: 1px solid $refresh-purple !important;
    }

    // Make sure those icon elements are black
    i {
      color: $refresh-black;
    }
  }

  // Convert logo bg image to new color.
  .blog-logo-background {
    background: unset;
    background-color: transparent;
  }

  // Remove the small color swatches to the left.
  .blog-sidebar-module-subscribe:before,
  .blog-sidebar-module-categories:before,
  .blog-sidebar-module-social:before {
    content: unset;
  }

  // Update colors on social links
  .social-link {
    color:#fff ;
  }

  // Update colors on the hero image
  .blog-hero-tag {
    background: $refresh-black;
    text-transform: unset;
  }

  .blog-hero {
    border-left: none;
  }

  // Update landing page background to white
  .blog-landing-content {
    background: #fff;
  }

  a.blog-hero-title:after,
  .blog-heading-bar-a {
    background: $refresh-purple;
  }

  // Shadows on card hover
  .blog-card,
  .video-card,
  .category-card {
    transition: box-shadow 0.3s ease;
  }

  .blog-card:hover,
  .video-card:hover,
  .category-card:hover {
    box-shadow: $shadow-surface-primary-4;
  }  

  // Update colors on the cards on th elanding page:
  .blog-card-meta:after {
    background: $refresh-black;
  }

  .blog-card-content {
    * {
      color: $refresh-black;
    }
  }

  // Uncapitalize headings
  .blog-heading-bar {
    h3 {
      text-transform: unset;
    }
  }

  // Remove orange heading bars, convert to black and white.
  .blog-heading-bar-b,
  .blog-heading-bar-c,
  .blog-heading-bar {
    background: #fff;
    color: $refresh-black;
  }

  // Update text color on category cards:
  .category-card {
    * {
      color: $refresh-black;
    }
  }

  // Remove the bg image from the category section
  .blog-category-section {
    background: unset;
  }
}

// Blog post specific refresh

#blog-post {
  // Main blog content updates
  * {
    color: $refresh-black;
  }
  .slp-text-ui-secondary,
  .group-hover\:slp-text-ui-secondary:hover {
    color: $refresh-purple !important;
  }

  .slpBlog__article a {
      color: $refresh-purple;
      text-decoration: none;
      &:hover {
          text-decoration: underline;
      }
  }

  // Removes margin top and padding bottom from posts and articles
  .footer {
    margin-top: 0;
    position: relative;
  }

  .slpBlog{
    padding-bottom: 0;
  }

  // Updates to the side bar
  .slpBlog__aside {
    #Email:focus {
      border: 1px solid $refresh-purple !important;
    }
    .mktoButton {
      background: $refresh-black;
      color: #fff;
      &:hover {
        background: $refresh-black !important;
        color: #fff !important;
      }
    }
  }

  // Give the hover/focus underline to the all posts link and disqus link
  [href="#disqus_thread"]:hover,
  [href="#disqus_thread"]:focus,
  #all-blog-posts:hover,
  #all-blog-posts:focus {
    text-decoration: underline !important;
  }

  // Keep the footer links white
  footer {
    * {
      color: #fff;
    }
    // But the callout text black
    .callout.gitlab-trial,
    .gitlab-trial {
      * {
        color: $refresh-black;
      }
      // And fix up the CTA button there
      a.btn {
        background: $refresh-black;
        border: 1px solid $refresh-black !important;
        color: #fff;
        transition: all 0.2s ease;
        &:hover,
        &:focus {
          background: #fff !important;
          color: $refresh-black !important;
        }
      }
    }
  }

  //Updates the new feedback CTA section
  #feedback-cta{
    background-color: #F6F3FE;
    padding: 32px 48px;
    border-radius: 9px 9px 90px 9px;
    margin-top: 64px;

    h3,
    a.comment-cta,
    p{
      color: $refresh-black;
    }

    h3{
      font-size: 32px;
      font-weight: 600;
      line-height: 40px;
      margin: 16px 0;
    }

    p{
      font-size: 24px;
      font-weight: 400;
      line-height: 32px;
      margin-bottom: 28px;
    }

    .comment-cta{
      font-size: 18px;
      font-weight: 600;
      line-height: 20px;
      position: relative;

      &:after{
        content: '';
        display: block;
        position: absolute;
        right: -24px;
        top: 2px;
        width: 16px;
        height: 16px;
        background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik01LjIxOTY3IDIuMjE5MzZDNS41MTI1NiAxLjkyNjQ3IDUuOTg3NDQgMS45MjY0NyA2LjI4MDMzIDIuMjE5MzZMMTEuNTMyMiA3LjQ3MTJDMTEuODI1MSA3Ljc2NDA5IDExLjgyNTEgOC4yMzg5NiAxMS41MzIyIDguNTMxODZMNi4yODAzMyAxMy43ODM3QzUuOTg3NDQgMTQuMDc2NiA1LjUxMjU2IDE0LjA3NjYgNS4yMTk2NyAxMy43ODM3QzQuOTI2NzggMTMuNDkwOCA0LjkyNjc4IDEzLjAxNTkgNS4yMTk2NyAxMi43MjNMOS45NDExNyA4LjAwMTUzTDUuMjE5NjcgMy4yODAwMkM0LjkyNjc4IDIuOTg3MTMgNC45MjY3OCAyLjUxMjI2IDUuMjE5NjcgMi4yMTkzNloiIGZpbGw9IiMxNzEzMjEiLz4KPC9zdmc+Cg==");        
        transition: all 0.3s ;
      }

      &:hover{
        &:after{
          right: -30px;
        }
      }
    }
  }

  .slpBlog__social{
    display: flex;
    margin-bottom: 3.2rem;

    .share-butons{
      margin: 0 auto;
    }
  }
}
